Verified Commit c2d11c88 authored by A. Wilcox's avatar A. Wilcox 🦊
Browse files

user/labplot: Update to 2.8.0

parent 664dece5
# Contributor: A. Wilcox <awilfox@adelielinux.org>
# Maintainer: A. Wilcox <awilfox@adelielinux.org>
pkgname=labplot
pkgver=2.7.0
pkgver=2.8.0
pkgrel=0
pkgdesc="Interactive tool for graphing and analysis of scientific data"
url="https://www.kde.org/applications/education/labplot2"
......@@ -14,9 +14,12 @@ makedepends="cmake extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kconfig-dev
kdoctools-dev ki18n-dev kiconthemes-dev kdelibs4support-dev kxmlgui-dev
knewstuff-dev ktextwidgets-dev kwidgetsaddons-dev gsl-dev fftw-dev
qt5-qtserialport-dev syntax-highlighting-dev bison libexecinfo-dev
cantor-dev docbook-xsl lz4-dev poppler-dev poppler-qt5-dev"
cantor-dev docbook-xsl lz4-dev poppler-dev poppler-qt5-dev
kuserfeedback-dev"
subpackages="$pkgname-doc $pkgname-lang"
source="https://download.kde.org/stable/labplot/$pkgver/labplot-$pkgver.tar.xz"
source="https://download.kde.org/stable/labplot/$pkgver/labplot-$pkgver.tar.xz
cantor.patch
"
build() {
if [ "$CBUILD" != "$CHOST" ]; then
......@@ -42,4 +45,5 @@ package() {
make DESTDIR="$pkgdir" install
}
sha512sums="73e10ed98694b7633e80ffa7745733392cf9ce36f45e4ef6432d661b015dd3e821ddc791223a32fa55115c68f0d82b90464080915f8bb55cd1907610151a2d0a labplot-2.7.0.tar.xz"
sha512sums="b96a758813a411801ca65082aab54857b2da77a705ea939f2ae49d6d75a3c472b666e61c501283482c7736975b1f589bf0710028a36b237ae2df9e56ac04f0e5 labplot-2.8.0.tar.xz
1d8b81a2eb9e4aa2909881f0ea481252200f5821250d8e8a47ac941bd223bb86f5b1c404c2b374af69b0d491c50f9179a34f30ba5829a5279119761dcf5fe49d cantor.patch"
From db67605842837583b1b885cf64ca19c5301480d1 Mon Sep 17 00:00:00 2001
From: Stefan Gerlach <stefan.gerlach@uni-konstanz.de>
Date: Wed, 16 Sep 2020 17:27:08 +0200
Subject: [PATCH] [cantor] 20.08 will not get the new interface
---
CMakeLists.txt | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 57ad46dd8..98130a30d 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -230,7 +230,7 @@ IF (Cantor_FOUND)
ELSE ()
MESSAGE (STATUS "Cantor Library ${Cantor_VERSION} TOO OLD. Minimum usable version is 19.12")
ENDIF ()
- IF (${Cantor_VERSION} VERSION_GREATER "20.08")
+ IF (${Cantor_VERSION} VERSION_GREATER "20.08.9")
add_definitions (-DHAVE_NEW_CANTOR_LIBS)
ENDIF ()
ELSE ()
--
GitLab
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment